import fetch from 'utils/fetch';

export function page(query) {
  return fetch({
    url: '/api/tour/good/admin/goodList',
    method: 'post',
    data: query
  });
}
/**
 * 编辑、新建旅游路线
 * @param query
 */
export function goodsEdit(query) {
  return fetch({
    url: '/api/tour/good/admin/goodEdit',
    method: 'post',
    data: query
  });
}

/**
 * 根据旅游id获取旅游详情
 */
export function getOneGoodsById(query) {
  return fetch({
    url: '/api/tour/good/admin/goodOne',
    method: 'get',
    params: query
  });
}

// api/tour/admin/tourBanner
// api/tour/admin/tourBanner/page?pageNo=0&pageSize=10
/**
 * 获取bannerList
 */
export function getBannerList(query) {
  return fetch({
    url: '/api/tour/admin/tourBanner/page',
    method: 'get',
    params: query
  });
}
/**
 * 添加banner
 */
export function addBanner(params) {
  return fetch({
    url: '/api/tour/admin/tourBanner',
    method: 'post',
    data: params
  });
}
/**
 * 修改banner
 */
export function editBanner(params) {
  return fetch({
    url: '/api/tour/admin/tourBanner',
    method: 'put',
    data: params
  });
}

// delBanner
/**
 * 修改banner
 */
export function delBanner(id) {
  return fetch({
    url: '/api/tour/admin/tourBanner/' + id,
    method: 'delete'
  });
}
